org.apache.ignite.internal.util.lang.gridfunc

## Class HasEqualIdPredicate<T extends ClusterNode>

- java.lang.Object
- - org.apache.ignite.internal.util.lang.gridfunc.HasEqualIdPredicate<T>

All Implemented Interfaces:
  Serializable, IgnitePredicate<T>

    public class HasEqualIdPredicate<T extends ClusterNode>
    extends Object
    implements IgnitePredicate<T>

`ClusterNode` has equal id predicate.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`HasEqualIdPredicate(UUID locNodeId)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `apply(T n)` Predicate body.
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### HasEqualIdPredicate

    public HasEqualIdPredicate(UUID locNodeId)

Parameters:
  `locNodeId` - Id for check.

### Method Detail

#### apply

    public boolean apply(T n)

Predicate body.

Specified by:
  `apply` in interface `IgnitePredicate<T extends ClusterNode>`
Parameters:
  `n` - Predicate parameter.
Returns:
  Return value.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.6
Release Date | : September 11 2019